// ngx-tooltip was meant to work with Bootstrap, so here's the styling that goes
// with it. Customizations were made.
// https://github.com/twbs/bootstrap
.tooltip {
  position: absolute;
  z-index: 1070;
  display: block;
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: 14px;
  text-align: left;
  text-align: start;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-spacing: normal;
  word-wrap: normal;
  white-space: normal;
  opacity: 0;
  line-break: auto;

  // The whole Angular encapsulation thing meant that I couldn't do this in 
  // the importer stylesheet like I wanted without disabling it for the entire
  // component. At least that's how I'm understanding this.
  &--importer-special-notes .tooltip-inner {
    word-break: normal;
    width: 250px;
  }
}

.tooltip.in {
  opacity: 1;
}

.tooltip.top {
  padding: 5px 0;
  margin-top: -3px;
  left: 0;
}

.tooltip.bottom {
  padding: 5px 0;
  margin-top: -5px;
  left: 0;
}

.tooltip-inner {
  max-width: 300px;
  padding: 3px 8px;
  color: $color-white;
  text-align: center;
  background-color: $color-matterhorn;
  border-radius: 4px;
}

.tooltip-arrow {
  position: absolute;
  width: 0;
  height: 0;
  border-color: transparent;
  border-style: solid;
}

.tooltip.top .tooltip-arrow {
  bottom: 0;
  left: 50%;
  margin-left: -5px;
  border-width: 5px 5px 0;
  border-top-color: $color-matterhorn;
}

.tooltip.bottom .tooltip-arrow {
  top: 0;
  left: 50%;
  margin-left: -5px;
  border-width: 0 5px 5px;
  border-bottom-color: $color-matterhorn;
}

.group-notification-tooltip .tooltip {
  width: 200px;
}
